Errors When Applying Support Driven Hotfixes Based on FP-41 or FP-42

This article documents a known issue when applying a Liferay Support Driven Hotfix built off either DXP 7.0 Fix Pack 41 or Fix Pack 42. Due to an error generating the release notes, the documentation.xml file in Fix Packs 41 and 42 contains an invalid list of fixed issues. As a result, a warning will appear when using a hotfix built of Fix Pack 41 or 42 and running the command patching-tool info.

Resolution

Status: Fixed

Update to DXP 7.0 Fix Pack 43 or higher.

Customers who have not yet updated to Fix Pack 43 will see this error in the console when running the command patching-tool.bat|.sh info

WARNING: some of the currently installed fixes are not available:
  * LPS-69571
  * LPS-77181
  * LPS-78571
  * LPS-77273
  * LPS-78513
  * LPS-74282
  * LPS-78650
    .
    .
    .
    The patch installation process won't run to prevent unintended rollbacks. If you would still keep these fixes, please consult the support team who will merge these patches for you.


    If the change is intentional, please use the install with the -force argument or run a "patching-tool revert" before installing the fix packs.

Administrators who want to proceed any way can run patching-tool.bat|.sh install -force. Once the command has been executed successfully, the hotfix is applied.

¿Fue útil este artículo?
Usuarios a los que les pareció útil: 0 de 0